Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Interface IElementSelectionListener

All Known Implementing Classes:
  ElementSelectionComposite, ElementSelectionService

public interface IElementSelectionListener

Interface describing a listener for the element selection service.

The element selection service returns IMatchingObjectEvent to the IElementSelectionListener. If there are ten matching objects, then eleven IMatchingObjectEvent will be sent to the listener. The first ten will have type MatchingObjectEventType.MATCH and will have a matching object. The eleventh event will have type MatchingObjectEventType.END_OF_MATCHES.

Method Summary
`void` `matchingObjectEvent(IMatchingObjectEvent matchingObjectEvent)` A matching object event has been sent.

Method Detail

### matchingObjectEvent

    public void matchingObjectEvent(IMatchingObjectEvent matchingObjectEvent)

  A matching object event has been sent.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.